Subject: Re: [Bitcoin-development] Development priorities

From: "Luke-Jr" <[email-masked]>
Date: Thu, 16 Jun 2011 13:12:41 -0400

I'd put wallet security before scaling, but inevitably, I'm not sure there's 
too much anyone can do about that. Even if the wallet is encrypted, it just 
takes a little more complex code to steal funds if you've infected your 
target.

On Thursday, June 16, 2011 12:32:57 PM Gavin Andresen wrote:
> Right!  I'm back from the CIA, and trying to ignore all the reporters
> who want to talk with me.
> 
> I want to do a quick brain dump on what I think the short-term
> development priorities are.  Here's my list:
> 
> 1) Scaling-up issues, like disconnections when downloading the block 
chain.
> 
> 2) Wallet security.
> 
> 3) Unit testing framework.  There was a PULL that had the start of
> boost unit tests; I think that is a critical need, along with a good
> suite of test cases.
> 
> Those are the big issues for me.  Anything that slows those down I'm
> going to ignore (example: love the idea of escrow transactions, but I
> do NOT want to add nifty new features when we're having trouble
> keeping the features we're using now working properly).
> 
> Does everybody agree those are the critical priorities? (try not to
> let this thread wander into a discussion of HOW to do stuff, just WHAT
> the priorities aught to be)